Subject: Re: bug#19860: 25.0.50; One url-retrieve-synchronously call running concurrently with another can freeze it

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 Apr 2015 07:24:50 +0300

On 04/26/2015 02:19 AM, Paul Eggert wrote:

> Thanks for doing all that legwork.  It let me reproduce the problem and
> come up with a simple fix that works for me.  I installed the attached
> patch.

Thank you for fixing the regression, that should help with the project 
it manifested in.

However, in certain conditions the bug still reproduces, both in 
emacs-24 and master, as described in the original report (basically, 
using the 4-line server written in Ruby, which sends "Connection: 
Keep-Alive" at the end).

Please let me know if you're having problems reproducing it locally.